Bug 209903 - www/gitlab: update to 8.8.2
Summary: www/gitlab: update to 8.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-qa, patch
Depends on: 208693 209899 209900 209901 209902
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-31 16:01 UTC by Torsten Zühlsdorff
Modified: 2016-06-21 08:38 UTC (History)
4 users (show)

See Also:


Attachments
patch with update to 8.8.2 (54.02 KB, patch)
2016-05-31 16:01 UTC, Torsten Zühlsdorff
no flags Details | Diff
path with update to 8.8.5 (54.49 KB, patch)
2016-06-20 15:08 UTC, Torsten Zühlsdorff
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2016-05-31 16:01:14 UTC
Created attachment 170881 [details]
patch with update to 8.8.2

Hello,

attached a patch to bring the port to its current version. Buildtests are fine for 9.3, 10.0, 10.2 and 10.3 amd64 and i386. portlint is also fine. I also did a short runtime test.

Beside the update itself i now remove all gitignore files, because 8.8.2 ships a greater number of them. I also integrated the needed config fix out of #208693 for the port itself and tried to fix #209815 also.

I'm still in the testing phase but wand to give the possibility to test to others.

Greetings,
Torsten
Comment 1 VK freebsd_triage 2016-05-31 18:35:54 UTC
Thanks for the patch, Thorsten. Could you please set maintainer-approval+ on it, since you're the maintainer, it will appear in the "Maintainer approved" saved search in Bugzilla, which helps speed up resolving the issue. ;)
Comment 2 Torsten Zühlsdorff 2016-06-01 07:40:17 UTC
Hello Vladimir,

this time i did not set it with purpose. :) I'm currently in testing this patch and will set the flag when i finished it.

Greetings,
Torsten
Comment 3 VK freebsd_triage 2016-06-01 08:40:21 UTC
Thorsten, thanks for the heads up. ;)
Comment 4 VK freebsd_triage 2016-06-01 08:41:58 UTC
My apologies for misspelling your name, twice now, Torsten. No disrespect intended.
Comment 5 Torsten Zühlsdorff 2016-06-01 08:49:32 UTC
No offense taken, Vladimir. It is quite common to misspell my name, especially my lastname (especially in international communication).

I know you addressed me and this is what matters. :)

BTW: names are a general hot topic of problems. If i take your name for example it is quite common to write it "Vladimir". In Germany we would most likley write it in another way: "Wladimir". And i'm personally confused every time, since my russian lessons taught me to write Владимир.

Because of this i copy the name of every participant i talk to and hope i did not misspell his own name (which happens) :D
Comment 6 Kurt Jaeger freebsd_committer 2016-06-01 17:23:21 UTC
I'm build-testing on a loaded 11 host with ruby=2.3. This comes up:

===>  rubygem-devise-rails4-3.5.6 is marked as broken: does not build with
Ruby 2.3.

I checked and devel/rubygem-devise is at 4.1.1 already. Would updating fix that BROKEN ?
Comment 7 Kurt Jaeger freebsd_committer 2016-06-01 17:25:29 UTC
Testbuild in poudriere looks like some of PRs are depends, not blocks:

cur [00:00:09] ====>> Error: Nonexistent port listed for build: converters/rubygem-base32 --> 209901 is depend, not block
[00:00:11] ====>> Error: Nonexistent port listed for build: devel/rubygem-health_check --> 209902 is depend, not block
Comment 8 Torsten Zühlsdorff 2016-06-02 05:34:59 UTC
(In reply to Kurt Jaeger from comment #7)

> I checked and devel/rubygem-devise is at 4.1.1 already. 
> Would updating fix that BROKEN ?

I don't think so. Currently there is no Ruby 2.3 support for GitLab :(
Maybe i should add an IGNORE line or similar to make this clear?

> Testbuild in poudriere looks like some of PRs are depends, not blocks:

Yes. All of the PRs are depends, not blocks. Fixed this!
Comment 9 Torsten Zühlsdorff 2016-06-20 15:08:53 UTC
Created attachment 171613 [details]
path with update to 8.8.5

Revised patch with update to new version 8.8.5
Comment 10 commit-hook freebsd_committer 2016-06-21 08:37:35 UTC
A commit references this bug:

Author: tz
Date: Tue Jun 21 08:36:57 UTC 2016
New revision: 417194
URL: https://svnweb.freebsd.org/changeset/ports/417194

Log:
  www/gitlab: Update from 8.7.5 to 8.8.5

  Changelog: https://github.com/gitlabhq/gitlabhq/blob/8-8-stable/CHANGELOG

  PR:          209903
  Approved by: swills (mentor)

Changes:
  head/www/gitlab/Makefile
  head/www/gitlab/distinfo
  head/www/gitlab/files/gitlab.in
  head/www/gitlab/files/patch-Gemfile
  head/www/gitlab/files/patch-config_gitlab.yml.example
  head/www/gitlab/files/patch-config_initializers_1__settings.rb
  head/www/gitlab/files/patch-lib_support_nginx_gitlab
  head/www/gitlab/files/patch-lib_support_nginx_gitlab-ssl
  head/www/gitlab/pkg-plist
Comment 11 Torsten Zuehlsdorff freebsd_committer 2016-06-21 08:38:34 UTC
Committed! Thanks to all the supporters! :)